Package org.eclipse.rdf4j.common.webapp.navigation

## Class NavigationHandlerInterceptor

- java.lang.Object
- - org.eclipse.rdf4j.common.webapp.navigation.NavigationHandlerInterceptor

- All Implemented Interfaces:
    `org.springframework.web.servlet.HandlerInterceptor`

      public class NavigationHandlerInterceptor
      extends Object
      implements org.springframework.web.servlet.HandlerInterceptor

  Interceptor that inserts the navigation model for the current Spring view into the model.
  Author:
    Herko ter Horst

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NavigationHandlerInterceptor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `afterCompletion​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Object handler, Exception ex)` |
    `NavigationModel` | `getNavigationModel()` |
    `void` | `postHandle​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Object handler, org.springframework.web.servlet.ModelAndView mav)` |
    `boolean` | `preHandle​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Object handler)` |
    `void` | `setNavigationModel​(NavigationModel navigationModel)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NavigationHandlerInterceptor

          public NavigationHandlerInterceptor()

  - ### Method Detail

    - #### getNavigationModel

          public NavigationModel getNavigationModel()

    - #### setNavigationModel

          public void setNavigationModel​(NavigationModel navigationModel)

    - #### afterCompletion

          public void afterCompletion​(javax.servlet.http.HttpServletRequest request,
                                      javax.servlet.http.HttpServletResponse response,
                                      Object handler,
                                      Exception ex)

      Specified by:
        `afterCompletion` in interface `org.springframework.web.servlet.HandlerInterceptor`

    - #### postHandle

          public void postHandle​(javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response,
                                 Object handler,
                                 org.springframework.web.servlet.ModelAndView mav)

      Specified by:
        `postHandle` in interface `org.springframework.web.servlet.HandlerInterceptor`

    - #### preHandle

          public boolean preHandle​(javax.servlet.http.HttpServletRequest request,
                                   javax.servlet.http.HttpServletResponse response,
                                   Object handler)

      Specified by:
        `preHandle` in interface `org.springframework.web.servlet.HandlerInterceptor`